org.h2.util

## Class AutoCloseInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.h2.util.AutoCloseInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class AutoCloseInputStream
    extends java.io.InputStream

This input stream wrapper closes the base input stream when fully read.

### Constructor Summary

Constructors
Constructor and Description
`AutoCloseInputStream(java.io.InputStream in)` Create a new input stream.

### Method Summary

Methods
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AutoCloseInputStream

    public AutoCloseInputStream(java.io.InputStream in)

Create a new input stream.

Parameters:
  `in` - the input stream

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`